Вопросы с тегом 'composer-php'

Composer - менеджер пакетов уровня приложения для языка программирования PHP. Он предоставляет стандартный формат для легкого управления зависимостями (библиотеками) проектов на основе PHP и был вдохновлен Node.js "npm" и Ruby "bundler". Использовать с тегом [php]
7

Должен ли composer.lock быть приверженным контролю версий?

Я немного запутался в composer.lock, используемом в приложении с репозиторием. Я видел много людей, говорящих, что мы не должны .gitignore composer.lock из репозитория. Если я обновляю свои библиотеки в своей среде dev, у меня будет новый compos...
15 окт. '12 в 13:36
14

Как удалить пакет из Laravel с помощью композитора?

Каков правильный способ удаления пакета из Laravel 4? Я так долго пробовал: Удалить объявление из composer.json (в разделе "require" ) Удалите все псевдонимы классов из app.php Удалите с моего кода любые ссылки на пакет: -) Запустить composer u...
17 апр. '14 в 6:59
8

Как обновить отдельную библиотеку с помощью Composer?

Мне нужно установить только 1 пакет для моего дистрибутива SF2 (DoctrineFixtures). Когда я бегу php composer.phar update я получил - Updating twig/twig (dev-master 39d94fa => v1.13.0) The package has modified files: M CHANGELOG M...
24 мая '13 в 16:54
5

Как установить конкретную версию пакета с помощью Composer?

Я пытаюсь установить конкретную версию пакета с помощью Composer. Я попытался composer install и composer require но они устанавливают последнюю версию пакета. Что делать, если я хочу более старую версию?
01 дек. '16 в 15:12
3

Какая разница между require и require-dev?

Я новичок в composer, и мне хотелось бы узнать разницу между require и require-dev. На сайте композитора нет хорошего объяснения различий между этими двумя. Часть, которую я не получаю, это Lists packages required for developing this package, or ru...
21 мая '13 в 21:13
11

Laravel 5 - семя ремесленника [ReflectionException] Класс SongsTableSeeder не существует

Когда я запускаю php artisan db: seed, я получаю следующую ошибку: [ReflectionException] Class SongsTableSeeder does not exist Что происходит? Мой класс DatabaseSeeder: <?php use Illuminate\Database\Seeder; use Illuminate\Database\Eloquen...
01 окт. '14 в 14:05
32

Running Composer возвращает: "Не удалось открыть входной файл: composer.phar"

Я новичок в symfony2 и читаю symblog. В третьей главе, пытаясь использовать данные, я попробовал команду: php composer.phar update но я получил ошибку: Could not open input file: composer.phar Итак, я немного погуглил и попробовал php compose...
10 февр. '14 в 6:49
4

Как удалить неиспользуемые зависимости от композитора?

Я установил пакет с композитором, и он установил многие другие пакеты в качестве зависимостей. Теперь я удалил основной пакет с помощью composer remove packageauthor/packagename, но все старые зависимости не были удалены. Я ожидал, что композитор о...
14 нояб. '14 в 13:12
5

Как правильно развертывать при использовании Composer develop/production switch?

Композитор имеет возможность загружать несколько зависимостей только при разработке, поэтому инструменты не будут установлены в процессе производства (на реальном сервере). Это (теоретически) очень удобно для скриптов, которые имеют смысл только в ра...
12 февр. '14 в 7:35
8

Как требовать вилку с композитором

вот мой композитор .json, я хочу использовать Nodge fork проекта lessphp на Github "repositories": [{ "type": "package", "package": { "version": "dev-master", "name": "nodge/lessphp", "source": { "url": "...
21 нояб. '12 в 17:14
3

В чем разница между PSR-0 и PSR-4?

Я недавно читал об пространствах имен и о том, как они полезны. Я создаю проект в Laravel и пытаюсь перейти от автозагрузки классов к пространству имен. Я не могу понять, что представляет собой реальная разница между PSR-0 и PSR-4. Некоторые ресурс...
21 июл. '14 в 15:12
13

Ошибка установки Composer - требуется ext_curl, когда он действительно включен

Я пытаюсь установить PHP PHP SDK с помощью Composer. Это то, что я получаю $ composer install Loading composer repositories with package information Installing dependencies (including require-dev) Your requirements could not be resolved to an instal...
12 окт. '13 в 14:31
4

Композитор: как я могу установить другую зависимость без обновления старых?

У меня есть проект с несколькими зависимостями, и я хотел бы установить еще один, но я хотел бы оставить остальных такими, какие они есть. Поэтому я отредактировал composer.json, но если я запустил composer install, я получаю следующий вывод: Insta...
04 мар. '13 в 22:29
7

Как получить список всех установленных пакетов вместе с версией в композиторе?

Я работаю над проектом, использующим Symfony 2.1 на моей локальной машине. Я загрузил его на свой сервер, но когда я пытаюсь установить пакеты поставщиков с помощью Composer, я получаю много ошибок зависимостей. Предположительно, это связано с тем, ч...
03 мар. '13 в 12:06
12

Composer Warning: расширение openssl отсутствует. Как включить в WAMP

Попытка установить Composer инструмент управления зависимостями на Win7/64 + WampServer 2.2 с помощью Установщик установки, и я получаю следующее сообщение: Отсутствует расширение openssl, что уменьшит безопасность и стабильность Composer. Если во...
27 дек. '12 в 22:21